# How can I contribute?

You can contribute to RVX in two ways:

- **Creating a new issue**

  Open a [new issue] whenever you want to report a bug, an issue in the [docs] or request a change.

- **Making a pull request**

  Help improve RVX by opening a pull request. All contributions are welcome!

## How to make a good pull request?

- Smaller is better.

  Make many small commits rather than one big one that changes a lot of files. Send one pull request for each improvement, new feature or bug fix. 
 
- Follow existing coding style and conventions.

  Make sure that your code conforms to the [CODING_STYLE.md](CODING_STYLE.md) of the code base.
 
- Include test coverage.

  If possible, add unit tests.
 
- Add documentation.

  Document your new functionality.

[docs]: https://rafaelcalcada.github.io/rvx/
[new issue]: https://github.com/rafaelcalcada/rvx/issues/new