---
hide: navigation
---

<h1 id="hidden-homepage-title">RVX Documentation</h1>

<h2 id="h2-homepage-no-top-margin">Welcome to RVX Documentation</h2>

RVX is a microcontroller IP core developed in Verilog that implements the RV32I instruction set of RISC-V. It is designed for easy, seamless integration into embedded systems and FPGA designs, facilitating the rapid development of innovative RISC-V applications.

RVX can run real-time operating systems such as FreeRTOS, as well as bare-metal embedded software. Its design includes components such as memory, timers, and interfaces for UART, GPIO, and SPI communication, enabling RVX to integrate with a variety of sensors and actuators commonly used in embedded applications.

<h2>Get Started</h2>

The quickest way to get started is to implement one of the example projects on your FPGA. Check it out:

- [Hello World Example](examples/helloworld.md) 
- [FreeRTOS Example](examples/freertos.md)

See the [User Guide](userguide.md) to learn how to create your own applications.

</br>
</br>